Subject: Re: [RFC][PATCH] send-email: add --[no-]xmailer option

From: Junio C Hamano <[email-masked]>
Date: Thu, 04 Dec 2014 11:33:24 -0800

Luis Henriques <[email-masked]> writes:

> On Wed, Dec 03, 2014 at 08:56:45AM -0800, Junio C Hamano wrote:
>
>> I actually do not think this is a good idea from debuggability.
>
> Do you think this could be merged with yet another switch?  I can't
> think of a name for the switch, something like... "--hide-msgid"?

In case it wasn't clear, by "this" I meant the removal of
"X-Mailer:", iow, "Adding --no-xmailer option is a bad idea from
debuggability's point of view".

Not adding message-id is not an option; MSAs are supposed to always
add one if they want to be RFC compliant, aren't they?